Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.jstacs.models.discrete.homogeneous.parameters
Class HomogeneousModelParameterSet

    java.lang.Object
      de.jstacs.parameters.ParameterSet
          de.jstacs.parameters.InstanceParameterSet
              de.jstacs.parameters.SequenceScoringParameterSet
                  de.jstacs.models.discrete.DGMParameterSet
                      de.jstacs.models.discrete.homogeneous.parameters.HomogeneousModelParameterSet

All Implemented Interfaces:
  GalaxyConvertible, RangeIterator, Storable, Cloneable

Direct Known Subclasses:
  HomMMParameterSet

    public abstract class HomogeneousModelParameterSet

extends DGMParameterSet

This class implements a container for all parameters of any homogeneous model.

Author:
  Jens Keilwagen

Nested Class Summary

Nested classes/interfaces inherited from class de.jstacs.parameters.ParameterSet
`ParameterSet.ParameterList`

Field Summary

Fields inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`alphabet, length`

Fields inherited from class de.jstacs.parameters.ParameterSet
`errorMessage, parameters, parent, ranged`

Constructor Summary
`protected` | `HomogeneousModelParameterSet(Class<? extends HomogeneousModel> instanceClass)` This is the constructor that creates an empty `HomogeneousModelParameterSet` from the class that can be instantiated using this `HomogeneousModelParameterSet`.
`protected` | `HomogeneousModelParameterSet(Class<? extends HomogeneousModel> instanceClass, AlphabetContainer alphabet, double ess, String description, byte order)` Creates a new `HomogeneousModelParameterSet` with `AlphabetContainer`, ess (equivalent sample size), description and order of the homogeneous Markov model.
`protected` | `HomogeneousModelParameterSet(StringBuffer s)` The standard constructor for the interface `Storable`.

Method Summary
`boolean` | `hasDefaultOrIsSet()` Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values.
`protected void` | `loadParameters()` Loads the parameters for this `ParameterSet`.

Methods inherited from class de.jstacs.models.discrete.DGMParameterSet
`clone, getInstanceName, setEss`

Methods inherited from class de.jstacs.parameters.SequenceScoringParameterSet
`equals, fromXML, getAlphabetContainer, getLength, getNumberOfParameters, getParameterAt, replaceParametersWithRangedInstance, reset, toXML`

Methods inherited from class de.jstacs.parameters.InstanceParameterSet
`getInstance, getInstanceClass, getInstanceComment`

Methods inherited from class de.jstacs.parameters.ParameterSet
`fromGalaxy, getErrorMessage, getId, getIndex, getNumberOfValues, getParent, initParameterList, initParameterList, isAtomic, isRanged, makeRanged, next, parametersLoaded, propagateId, recieveId, resetToFirst, setParent, simplify, toGalaxy, valuesToString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HomogeneousModelParameterSet

    protected HomogeneousModelParameterSet(StringBuffer s)
                                    throws NonParsableException

  The standard constructor for the interface `Storable`. Creates a new `HomogeneousModelParameterSet` out of its XML representation.

  Parameters:
    `s` - the XML representation as `StringBuffer`
  Throws:
    `NonParsableException` - if the `HomogeneousModelParameterSet` could not be reconstructed out of the XML representation (the `StringBuffer` could not be parsed)
  See Also:
    `Storable`, `DGMParameterSet.DGMParameterSet(StringBuffer)`

### HomogeneousModelParameterSet

    protected HomogeneousModelParameterSet(Class<? extends HomogeneousModel> instanceClass)

  This is the constructor that creates an empty `HomogeneousModelParameterSet` from the class that can be instantiated using this `HomogeneousModelParameterSet`.

  Parameters:
    `instanceClass` - the (sub-)class
  See Also:
    `HomogeneousMM`, `HomogeneousModel`, `DGMParameterSet.DGMParameterSet(Class, boolean, boolean)`

### HomogeneousModelParameterSet

    protected HomogeneousModelParameterSet(Class<? extends HomogeneousModel> instanceClass,
                                           AlphabetContainer alphabet,
                                           double ess,
                                           String description,
                                           byte order)
                                    throws Exception

  Creates a new `HomogeneousModelParameterSet` with `AlphabetContainer`, ess (equivalent sample size), description and order of the homogeneous Markov model. This constructor is for models that can handle variable lengths.

  Parameters:
    `instanceClass` - the (sub-)class
    `alphabet` - the `AlphabetContainer`
    `ess` - the ess (equivalent sample size)
    `description` - the description
    `order` - the order of the model
  Throws:
    `Exception` - if something went wrong
  See Also:
    `DGMParameterSet.DGMParameterSet(Class, AlphabetContainer, double, String)`

Method Detail

### loadParameters

    protected void loadParameters()
                           throws Exception

  Description copied from class: `ParameterSet`
  Loads the parameters for this `ParameterSet`. This is in most cases done by calling `ParameterSet.initParameterList()` or `ParameterSet.initParameterList(int)` to initialize `ParameterSet.parameters` and afterwards filling `ParameterSet.parameters` with instances of subclasses of `Parameter`.

  Overrides:
    `loadParameters` in class `DGMParameterSet`
  Throws:
    `Exception` - if the parameters could not be loaded
  See Also:
    `Parameter`, `ParameterSet.parameters`, `ParameterSet.initParameterList()`, `ParameterSet.initParameterList(int)`

### hasDefaultOrIsSet

    public boolean hasDefaultOrIsSet()

  Description copied from class: `ParameterSet`
  Returns `true` if all parameters in this `ParameterSet` are either set by the user or have default values. If any additional constraints are required on your parameters you should either specify some `ParameterValidator` on these parameters or implement these constraints by overriding this method in your implementation of `ParameterSet`. It is recommended to specify a useful remark which constraint failed in the member-variable `errorMessage`, which will be displayed to the user. In the overriding method `super.``ParameterSet.hasDefaultOrIsSet()` should be called prior to checking specific constraints.

  Overrides:
    `hasDefaultOrIsSet` in class `DGMParameterSet`
  Returns:
    `true` if all parameters have some allowed value set, `false` otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD